CREATE TABLE fla_interface_rejections (
    INTERFACE_REJECTION_ID    NUMBER(18, 0) ,
    LOAD_REQUEST_ID           NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    INTERFACE_LEASE_ID        NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_KEY_ID1            NUMBER(18, 0)     NOT NULL,
    OBJECT_KEY_ID2            NUMBER(18, 0) ,
    OBJECT_REFERENCE1         VARCHAR2(1200),
    OBJECT_REFERENCE2         VARCHAR2(1200),
    OBJECT_REFERENCE3         VARCHAR2(1200),
    OBJECT_REFERENCE4         VARCHAR2(1200),
    MESSAGE_CODE              VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT              VARCHAR2(4000)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    INTERFACE_REJECTION_ID    NUMBER(18, 0) ,
    LOAD_REQUEST_ID           NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    INTERFACE_LEASE_ID        NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_KEY_ID1            NUMBER(18, 0)     NOT NULL,
    OBJECT_KEY_ID2            NUMBER(18, 0) ,
    OBJECT_REFERENCE1         VARCHAR2(1200),
    OBJECT_REFERENCE2         VARCHAR2(1200),
    OBJECT_REFERENCE3         VARCHAR2(1200),
    OBJECT_REFERENCE4         VARCHAR2(1200),
    MESSAGE_CODE              VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT              VARCHAR2(4000)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_fla_interface_rejections PRIMARY KEY (INTERFACE_REJECTION_ID, INTERFACE_REJECTION_ID)
);
